gtk-doc r718 - trunk



Author: stefkost
Date: Wed Apr 15 11:29:48 2009
New Revision: 718
URL: http://svn.gnome.org/viewvc/gtk-doc?rev=718&view=rev

Log:
	* autogen.sh:
	* configure.in:
	  Tentative patch to allow building without scrollkeeper and
	  gnome-doc-utils. Fixes #577059.



Modified:
   trunk/ChangeLog
   trunk/autogen.sh
   trunk/configure.in

Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh	(original)
+++ trunk/autogen.sh	Wed Apr 15 11:29:48 2009
@@ -4,6 +4,7 @@
 PROJECT=gtk-doc
 TEST_TYPE=-f
 FILE=gtk-doc.dsl.in
+CONFIGURE_FLAGS=
 
 # a silly hack that generates autoregen.sh but it's handy
 echo "#!/bin/sh" > autoregen.sh
@@ -19,11 +20,6 @@
 
 cd "$srcdir"
 
-which >/dev/null gnome-doc-prepare || {
-	echo "You need to install gnome-doc-utils to build this package"
-	DIE=1
-}
-
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have autoconf installed to compile $PROJECT."
@@ -69,8 +65,12 @@
         echo "to pass any to it, please specify them on the $0 command line."
 fi
 
-echo "* Running gnome-doc-prepare"
-gnome-doc-prepare --force --automake
+if gnome-doc-prepare --version < /dev/null > /dev/null 2>&1; then
+  echo "* Running gnome-doc-prepare"
+  gnome-doc-prepare --force --automake
+else
+  CONFIGURE_FLAGS="$CONFIGURE_FLAGS --disable-scrollkeeper"
+fi
 
 # to support timj aclocal setup we are shipping gnome-doc-utils.m4
 # and making sure automake picks it up ;)
@@ -91,7 +91,7 @@
 
 cd "$THEDIR"
 
-$srcdir/configure --enable-maintainer-mode "$@" || exit $?
+$srcdir/configure --enable-maintainer-mode "$@" $CONFIGURE_FLAGS || exit $?
 
 echo
 echo "Now type 'make install' to install $PROJECT."

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Wed Apr 15 11:29:48 2009
@@ -142,15 +142,6 @@
   fi
 fi
 
-# Check for scrollkeeper
-AC_PATH_PROG(scrollkeeper_config, scrollkeeper-config, no)
-if test x$scrollkeeper_config = xno; then
-  AC_MSG_WARN([Couldn't find scrollkeeper-config, please install the scrollkeeper package])
-#  if test x$xsltproc = xno; then
-#    AC_MSG_WARN([Couldn't find xsltproc, please install the libxml/libxslt package])
-#  fi
-fi
-
 # if glib is available we can enable the tests
 PKG_CHECK_MODULES(TEST_DEPS, [glib-2.0 >= 2.6.0 gobject-2.0 >= 2.6.0], [
     glib_prefix="`$PKG_CONFIG --variable=prefix glib-2.0`"
@@ -236,13 +227,13 @@
 test -n "$FOP" \
     && AC_MSG_NOTICE([** XML PDF support enabled, using $FOP]) \
     || AC_MSG_NOTICE([   XML PDF support disabled, no fop available])
-test x$scrollkeeper_config != xno \
+test "x$enable_scrollkeeper" = "xyes" \
     && AC_MSG_NOTICE([** Scrollkeeper support enabled]) \
     || AC_MSG_NOTICE([   Scrollkeeper support disabled])
 test -n "$HIGHLIGHT" \
     && AC_MSG_NOTICE([** Syntax highlighting of examples enabled, using $HIGHLIGHT]) \
     || AC_MSG_NOTICE([   Syntax highlighting of examples disabled])
-test x$build_tests != xno \
+test "x$build_tests" != "xno" \
     && AC_MSG_NOTICE([** Building regression tests]) \
     || AC_MSG_NOTICE([   Skipping regression tests])
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]